<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (13) on Fri May 08 00:07:05 EEST 2020 -->
<title>Class Hierarchy</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-08">
<meta name="description" content="class tree">
<meta name="generator" content="javadoc/TreeWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.js"></script>
</head>
<body class="tree">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="App/package-tree.html">App</a>, </li>
<li><a href="bussiness/package-tree.html">bussiness</a>, </li>
<li><a href="data/package-tree.html">data</a>, </li>
<li><a href="presentation/package-tree.html">presentation</a></li>
</ul>
</div>
<div class="contentContainer">
<section class="hierarchy">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">java.awt.Component (implements java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable)
<ul>
<li class="circle">java.awt.Container
<ul>
<li class="circle">java.awt.Window (implements javax.accessibility.Accessible)
<ul>
<li class="circle">java.awt.Frame (implements java.awt.MenuContainer)
<ul>
<li class="circle">javax.swing.JFrame (implements javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants)
<ul>
<li class="circle">presentation.<a href="presentation/AdminGUI.html" title="class in presentation"><span class="typeNameLink">AdminGUI</span></a> (implements bussiness.<a href="bussiness/IRestaurantProcessing.html" title="interface in bussiness">IRestaurantProcessing</a>)</li>
<li class="circle">presentation.<a href="presentation/ChefGUI.html" title="class in presentation"><span class="typeNameLink">ChefGUI</span></a> (implements java.util.Observer)</li>
<li class="circle">presentation.<a href="presentation/CompositeItemGUI.html" title="class in presentation"><span class="typeNameLink">CompositeItemGUI</span></a></li>
<li class="circle">presentation.<a href="presentation/WaiterGUI.html" title="class in presentation"><span class="typeNameLink">WaiterGUI</span></a> (implements bussiness.<a href="bussiness/IRestaurantProcessing.html" title="interface in bussiness">IRestaurantProcessing</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="circle">data.<a href="data/Controller.html" title="class in data"><span class="typeNameLink">Controller</span></a></li>
<li class="circle">bussiness.<a href="bussiness/MenuItem.html" title="class in bussiness"><span class="typeNameLink">MenuItem</span></a> (implements java.io.Serializable)
<ul>
<li class="circle">bussiness.<a href="bussiness/BaseProduct.html" title="class in bussiness"><span class="typeNameLink">BaseProduct</span></a></li>
<li class="circle">bussiness.<a href="bussiness/CompositeProduct.html" title="class in bussiness"><span class="typeNameLink">CompositeProduct</span></a></li>
</ul>
</li>
<li class="circle">java.util.Observable
<ul>
<li class="circle">bussiness.<a href="bussiness/Restaurant.html" title="class in bussiness"><span class="typeNameLink">Restaurant</span></a> (implements bussiness.<a href="bussiness/IRestaurantProcessing.html" title="interface in bussiness">IRestaurantProcessing</a>, java.io.Serializable)</li>
</ul>
</li>
<li class="circle">bussiness.<a href="bussiness/Order.html" title="class in bussiness"><span class="typeNameLink">Order</span></a> (implements java.io.Serializable)</li>
<li class="circle">bussiness.<a href="bussiness/OrderIdGenerator.html" title="class in bussiness"><span class="typeNameLink">OrderIdGenerator</span></a></li>
<li class="circle">data.<a href="data/RestaurantSerializator.html" title="class in data"><span class="typeNameLink">RestaurantSerializator</span></a> (implements java.io.Serializable)</li>
<li class="circle">App.<a href="App/StartApp.html" title="class in App"><span class="typeNameLink">StartApp</span></a></li>
</ul>
</li>
</ul>
</section>
<section class="hierarchy">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">bussiness.<a href="bussiness/IRestaurantProcessing.html" title="interface in bussiness"><span class="typeNameLink">IRestaurantProcessing</span></a></li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
